Imports GrapeCity.ActiveReports 
Imports GrapeCity.ActiveReports.Document
Imports org.apache.pdfbox.pdmodel

Public Class rptPreislisten

    Dim _LAN = ""
    Dim _OPTION = ""
    Dim _FIRMAID As Integer = -1
    Dim _DICT As Dictionary(Of String, String) = Nothing

    Sub New(_LAN, _OPTION, _FIRMAID, _DICT)
        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.Document.Printer.PrinterName = ""
        Me._LAN = _LAN
        Me._OPTION = _OPTION
        Me._FIRMAID = _FIRMAID
        Me._DICT = _DICT
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
    End Sub

    Private Sub rptPreislisten_ReportStart(sender As Object, e As EventArgs) Handles MyBase.ReportStart

        If _LAN.replace("DE", "") <> "" Then
            SDL.cProgramFunctions._TRANSLATE_RPT(Me, Me.ReportHeader1.Controls, _LAN, "rptPreislisten", _OPTION, _FIRMAID, _DICT)
            SDL.cProgramFunctions._TRANSLATE_RPT(Me, Me.ReportFooter1.Controls, _LAN, "rptPreislisten", _OPTION, _FIRMAID, _DICT)
            SDL.cProgramFunctions._TRANSLATE_RPT(Me, Me.PageFooter.Controls, _LAN, "rptPreislisten", _OPTION, _FIRMAID, _DICT)
        End If

    End Sub
End Class
